

open Abstract;;
open Format;;

open Symbols;;
open Pp;;

open Clause;;
open Hornpp;;


let tptppp_clause sl { cl_neg = negl; cl_pos = posl } =
  open_box 2;
  print_string "[";
  pp_list (hornpp_literal "--" sl) comma_sep negl;
  if (posl <> [])
  then 
    begin
      if (negl <> [])
      then 
        begin
          print_string ","; 
          print_space ();
        end;
      pp_list (hornpp_literal "++" sl) comma_sep posl;
    end;
  print_string "]";
  close_box ()
;;
      

let rec tptppp_tclauses sl cl =
  tptppp_tclausesc sl 0 cl
and tptppp_tclausesc sl i = function
    [] -> ()
  | c::l ->
      tptppp_tclause sl i c;
      print_newline ();  print_newline ();
      tptppp_tclausesc sl (i+1) l
and tptppp_tclause sl i = function
    AXIOM c ->
      print_string "input_clause(";
      print_string "clause_";
      print_int i;
      print_string ",";
      print_space ();
      print_string "axiom,";
      print_space ();
      tptppp_clause sl c;
      print_string ")."
  | CONJ c ->
      print_string "input_clause(";
      print_string "conj_";
      print_int i;
      print_string ",";
      print_space ();
      print_string "conjecture,";
      print_space ();
      tptppp_clause sl c;
      print_string ")."
  | COMMENT s ->
      print_newline ();      
      print_string ("% "^s);
      print_newline ();; 

(* let tptppp_spec sp = 
 *   let sl = symbollist_of_spec sp in
 *  let clauses = horn_spec sl sp in
 *    print_newline ();
 *    tptppp_tclauses sl clauses;
 *    print_newline ();; *)

